%This code generates Figure A1

load Data/entry_exit_lag1

FS=12;%FontSize
LW=2.5;%LineWidth
tline=2006.5:0.25:2011.0;

%20:end=domestic; 1:19=foreign;
VAR1=cont(20:end);
VAR2=entry(20:end);
VAR3=exit(20:end);

figure;
plot(tline,VAR1,'-',tline,VAR2,'-.',tline,VAR3,'--','LineWidth',LW)
set(gca,'FontSize',FS)
hline(0,'k-')
xlim([2006.5 2011.0])
ylim([0 10000])
%ylabel('Y-o-y log growth rate for sales of domestic F&B')
ylabel('Number of domestic UPC items, q-o-q')
legend('Continuing','Entering','Exiting')


%17:end=domestic; 1:16=foreign;
VAR1=cont(1:19);
VAR2=entry(1:19);
VAR3=exit(1:19);

figure;
plot(tline,VAR1,'-',tline,VAR2,'-.',tline,VAR3,'--','LineWidth',LW)
set(gca,'FontSize',FS)
hline(0,'k-')
xlim([2006.5 2011.0])
ylim([0 17000])
%ylabel('Y-o-y log growth rate for sales of domestic F&B')
ylabel('Number of imported UPC items, q-o-q')
legend('Continuing','Entering','Exiting')

%17:end=domestic; 1:16=foreign;
VAR1=contrev(20:end);
VAR2=entryrev(20:end);
VAR3=exitrev(20:end);

figure;
plot(tline,VAR1,'-',tline,VAR2,'-.',tline,VAR3,'--','LineWidth',LW)
set(gca,'FontSize',FS)
hline(0,'k-')
xlim([2006.5 2011.0])
ylim([0 50000000])
%ylabel('Y-o-y log growth rate for sales of domestic F&B')
ylabel('Expenditures on domestic goods, q-o-q')
legend('Continuing','Entering','Exiting')

%17:end=domestic; 1:16=foreign;
VAR1=contrev(1:19);
VAR2=entryrev(1:19);
VAR3=exitrev(1:19);

figure;
plot(tline,VAR1,'-',tline,VAR2,'-.',tline,VAR3,'--','LineWidth',LW)
set(gca,'FontSize',FS)
hline(0,'k-')
xlim([2006.5 2011.0])
ylim([0 50000000])
%ylabel('Y-o-y log growth rate for sales of domestic F&B')
ylabel('Expenditures on imports, q-o-q')
legend('Continuing','Entering','Exiting')